Межсайтовый скриптинг в Drupal Link Module

Дата публикации:
17.11.2009
Дата изменения:
17.11.2009
Всего просмотров:
885
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Link Module 5.x
Drupal Link Module 6.x
Уязвимые версии: Drupal Link Module версии до 5.x-2.6 и 6.x-2.7

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в названии при использовании формата "Separate title and URL". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: drupal.org/project/link

Решение: Установите последнюю версию 5.x-2.6 или 6.x-2.7 с сайта производителя.

Ссылки: http://drupal.org/node/623562

или введите имя

CAPTCHA